
From: Cornelia Huck <cohuck@de.ibm.com>

Fix debug data in case of an interface-control or channel-control check: don't
log the not yet accumulated interrupt-response-block, but the one we just
received.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/cio/device_status.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/s390/cio/device_status.c~s390-debug-data-for-ifcc-ccc drivers/s390/cio/device_status.c
--- devel/drivers/s390/cio/device_status.c~s390-debug-data-for-ifcc-ccc	2005-07-25 21:36:00.000000000 -0700
+++ devel-akpm/drivers/s390/cio/device_status.c	2005-07-25 21:36:00.000000000 -0700
@@ -39,15 +39,14 @@ ccw_device_msg_control_check(struct ccw_
 		      " ... device %04X on subchannel %04X, dev_stat "
 		      ": %02X sch_stat : %02X\n",
 		      cdev->private->devno, cdev->private->irq,
-		      cdev->private->irb.scsw.dstat,
-		      cdev->private->irb.scsw.cstat);
+		      irb->scsw.dstat, irb->scsw.cstat);
 
 	if (irb->scsw.cc != 3) {
 		char dbf_text[15];
 
 		sprintf(dbf_text, "chk%x", cdev->private->irq);
 		CIO_TRACE_EVENT(0, dbf_text);
-		CIO_HEX_EVENT(0, &cdev->private->irb, sizeof (struct irb));
+		CIO_HEX_EVENT(0, irb, sizeof (struct irb));
 	}
 }
 
_
